/* Plane Layout */

#plane {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: #ccc;
    font-family: "Heroic Condensed";
    text-transform: uppercase;
    color: #333;
}

.player {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;

    background: #eeeeee; /* Old browsers */
    background: -moz-linear-gradient(-45deg, #ffffff 0%, #cccccc 100%); /* FF3.6+ */
    background: -webkit-linear-gradient(-45deg, #ffffff 0%,#cccccc 100%); /* Chrome10+,Safari5.1+ */
    background: -o-linear-gradient(-45deg, #ffffff 0%,#cccccc 100%); /* Opera 11.10+ */
    background: -ms-linear-gradient(-45deg, #ffffff 0%,#cccccc 100%); /* IE10+ */
    background: linear-gradient(135deg, #ffffff 0%,#cccccc 100%); /* W3C */
}

/* UI */

/* Mana symbols */
.mana {
    font-family: "magicsymbolsregular";
    text-transform: lowercase;
    color: black;
    padding: 0;
    margin: 0;
}
.mana li {
    list-style-type: none;
    padding: 0;
    float: left;
}

/*
.mana .black {
    color: black;
}
.mana .white {
    color: navajowhite;
}
.mana .blue {
    color:  royalblue;
}
.mana .red {
    color:  darkred;
}
.mana .green {
    color:  forestgreen;
}
*/

/* counter */
.count {
    font-size: 140px;
}

/* label name */
.dashboard header {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    padding: 40px 50px;
    font-size: 64px;
    line-height: 64px;
}
.dashboard header .label {
    float: left;
    width: 60%;
    font-size: 48px;
    height: 60px;
}
.dashboard header .name {
    font-weight: 100;
    display: block;
}
.dashboard header .colors {
    float: right;
    width: 40%;
    height: 60px;
    line-height: 60px;
}
.dashboard header .mana li {
    float: right;
    color: white;
}
.dashboard .mana li {
    display: none;
}
.dashboard .mana li.selected {
    display: block;
}

.dashboard .count {
    position: absolute;
    top: 40%;
    width: 100%;
    text-align: center;
    -webkit-user-select: none; /* Disable selection/Copy of UIWebView */
}


.edit {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: none;
    padding: 15px 20px;
}
.edit h1 {
    font-size: 32px;
    margin: 0;
    padding: 0;
}

.edit form {
    margin-bottom: 20px;
}
.edit form input {
    width: 75%;
    height: 50px;
    border: 1px solid #ccc;
    border-radius: 0;
    font-family: "Heroic Condensed";
    font-size: 36px;
    line-height: 50px;
    text-transform: uppercase;
    background: transparent;
    -webkit-appearance: none;
    padding: 0;
    padding-left: 5px;
    color: white;
}
.edit .button {
    position: absolute;
    right: 15px;
    top: 15px;
    width: 48px;
    height: 48px;
    border-radius: 24px;
    border: 4px solid #333;
    font-size: 42px;
    line-height: 40px;
    color: #333;
    text-decoration: none;
    text-align: center;
}

.edit .mana {
    position: relative;
    font-size: 48px;
    top: 1em;
    width: 4em;
    height: 4em;
    border-radius: 2em;
    margin: auto;
    -webkit-transform: rotate(-18deg);
}
.edit .mana li {
    position: absolute;
    width: 1em;
    height: 1em;
    top: 50%;
    left: 50%;
    opacity: 0.5;
    color: black;
    line-height: 1em;
    font-size: 1.5em;
    margin-top: -0.5em;
    margin-left: -0.5em;
    border-radius: 0.5em;
    border: 3px solid black;

    cursor: pointer;
}
.edit .mana .selected {
    border: 3px solid white;
    opacity: 1;
    color: white;
}



/* Player Themes */

.player.initial .edit input {
    color: #333;
}

#player1.initial {
}

#player2.initial {
    background: #333;
    color: #999;
}

#player2.initial .edit .button {
    color: #999;
    border-color: #999;
}
#player2.initial .edit input {
    color: #999;
}
#player2.initial .mana li {
    color: rgba(255,255,255,0.5);
    border-color: rgba(255,255,255,0.5);
}


.withColors {
    color: rgba(255,255,255,0.8);
    text-shadow: 0 1px 0 rgba(0,0,0,0.3);

}
.withColors .button {
    border-color: rgba(255,255,255,0.8);
    color: rgba(255,255,255,0.8);
}


/* Splash screen */
#splash {
    display: none;
}



